package com.bcxin.ins.service.order;


import com.bcxin.ins.entity.policy_special.StForecastedDetail;
import com.bcxin.ins.vo.ForecastedDetailVo;
import com.bcxin.mybatisplus.service.IService;

import java.util.List;

public interface InsForecastedDetailAPIService extends IService<StForecastedDetail> {

	public List<StForecastedDetail> selectInsForecastedDetailByTurnover(Long oid);
	
	public void accordingToTheForecastedDetailVoSetUpInsForecastedDetail(ForecastedDetailVo vo, Long turnover_id);
	
	public void setForecastedDetailByForecastedDetailVo(List<ForecastedDetailVo> voList, Long turnover_id);
	
	public ForecastedDetailVo accordingToInsForecastedDetailIntoForecastedDetailVo(StForecastedDetail insForecastedDetail);
	
	public List<ForecastedDetailVo> packagingForecastedDetailVoListByInsForecastedDetailList(List<StForecastedDetail> fdList);
}
